clang-tools 6.0.0

Classes | Functions
clang::tidy::hicpp Namespace Reference

## Classes
class | ExceptionBaseclassCheck
| Check for thrown exceptions and enforce they are all derived from std::exception. More...
class | HICPPModule
class | NoAssemblerCheck
| Find assembler statements. More...
class | SignedBitwiseCheck
| This check implements the rule 5.6.1 of the HICPP Standard, which disallows bitwise operations on signed integer types. More...

## Functions
static ClangTidyModuleRegistry::Add< HICPPModule > | X ("hicpp-module", "Adds High-Integrity C++ checks.")

## Function Documentation

## ◆ X()

static ClangTidyModuleRegistry::Add<HICPPModule> clang::tidy::hicpp::X | ( | "hicpp-module" | ,
|  | "Adds High-Integrity C++ checks." |
| ) |  |
| static

Referenced by clang::tidy::hicpp::HICPPModule::addCheckFactories().